%define name	scriptutils
%define ver     1.61
%define rel     2
%define grp	Productivity/Text/Utilities
%define prefix  /usr
#
# Make SuSE's macros relocatable, i.e. pick up on prefix for _mandir and man
# pages. This may not always work and may have side-effects - check!
# This also shifts /usr/doc/packages for %%doc; restore the package doc dir to
# its original location (in theory it should be shifted as well, e.g. into
# /usr/local, in practice it's easier to leave it for now).
%define _prefix	%{prefix}
%define _usr	%{prefix}
%define _docdir /usr/share/doc/packages

Summary:	A collection of useful shell scripts
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
License:	GPL-2.0
Group:		%{grp}
Source:		http://volker.top.geek.nz/soft/pck/scriptutils/scriptutils-%{ver}.tar.bz2
URL:		http://volker.top.geek.nz/soft/
Vendor:         Volker Kuhlmann <VolkerKuhlmann@gmx.de>
BuildRoot:	/tmp/%{name}-%{version}-%{release}-%(id -u -n)
Prefix:		%{prefix}
BuildArchitectures:	noarch
#Summary(de):    

# Handle the Requires: and Provides: lists automatically.
Autoreqprov:	on

#Requires:	fileutils, textutils, findutils, diffutils, awk
#Requires:	coreutils, findutils, diffutils, awk

#Provides:	%{name}
# OBS fails with "unversioned self-provide (provided automatically)", although
# it builds the rpms...
#
# This Provides: list no longer lists all the scripts in this package.
##Provides:	ps-to-pcl


%description
This collection of shell scripts helps with everyday tasks, often reducing the
amount of typing otherwise required when using the standard utilities. Included
are scripts for finding files, comparing directory trees, generating checksums,
mastering and writing CDs, downloading URLs listed in special files via cron,
pretty-printing network filter logs, text processing, printing, and more.

All scripts require the basic unix command line utilities, some scripts require
further programs (e.g. writecd requires cdrecord or growisofs).

The content of this rpm package works on every Linux distribution.

#%%description -l de


%prep
%setup -n %{name} -c -q

%build

%install
#test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
#	&& rm -rf "$RPM_BUILD_ROOT"

mkdir -p %{buildroot}%{prefix}
cp -a bin sbin %{buildroot}%{prefix}
chmod 700 %{buildroot}%{prefix}/sbin/*
chmod 755 %{buildroot}%{prefix}/sbin/iplogfilter
chmod 600 %{buildroot}%{prefix}/sbin/dyndns-update.dyndns
chmod 710 ${RPM_BUILD_ROOT}%{prefix}/bin/ppp-addxfers

# Create all the symlinks for utf8..latin1.
PATH=$PATH:%{buildroot}%{prefix}/bin \
  %{buildroot}%{prefix}/bin/utf8..latin1 --links

%clean
#test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" \
#	&& rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%doc share/doc/packages/scriptutils/mkisofs-make-README
%attr(-,root,dialout) %{prefix}/bin/ppp-addxfers
%{prefix}/bin/*
%{prefix}/sbin/*


%changelog

* Thu Oct 12 2023 - Volker Kuhlmann
- Package 1.61 available from: http://volker.top.geek.nz/soft/
- Updated: Ren for functions_vk.bash htmldump listall makeimage md5 printcups
  rmwhite ssh-pubkey ttyreset utf8..latin1.sed xmutt create-temp-user
- Added: -- 
- Removed: Cp (modern cp does the same better)

* Wed Sep 18 2019 - Volker Kuhlmann
- Package 1.60 available from: http://volker.top.geek.nz/soft/
- Updated: LC_show Lines Ren dolog functions_vk.bash listall md5 ssh-pubkey
  utf8..latin1
- Added: --
- Removed: --

* Mon Aug 13 2018 - Volker Kuhlmann
- Package 1.59 available from: http://volker.top.geek.nz/soft/
- Updated: Ren, dolog, functions_vk.bash, ttyreset
- Added: --
- Removed: --

* Tue Jun 19 2018 - Volker Kuhlmann
- Package 1.58 available from: http://volker.top.geek.nz/soft/
- Updated: Col Date Lines Ren df-local dolog envreload functions_vk.bash
  iplogfilter listall mailrc-expand makeimage mount-img-partitions
  printcups ps2pdf-print ringbell rmwhite sysinfo-collect-quick tarl text2pdf
  utf8..latin1 xmutt
- Added: utfasc..utf8.sed
- Removed: --

* Tue May 26 2015 - Volker Kuhlmann
- Package 1.57 available from: http://volker.top.geek.nz/soft/
- Updated: df-local dolog
- Added: flash-disk-check mount-img-partitions
- Removed: --

* Sat May 02 2015 - Volker Kuhlmann
- Fix %install for buildroot in VM/chroot.

* Tue Apr 07 2015 - Volker Kuhlmann
- Package 1.56 available from: http://volker.top.geek.nz/soft/
- Updated: Date Ren difforig dolog functions_vk.bash fxargs htmldump
  imgsequence iplogfilter listall md5 monitor-server rmwhite ssh-pubkey tarl
  text2pdf utf8..latin1 utf8..latin1.sed
- Added: create-temp-user df-local
- Removed: --

* Fri Oct 26 2013 - Volker Kuhlmann
- Package 1.55 available from: http://volker.top.geek.nz/soft/
- Updated: DELE, LC_show, Ren, create-temp-user, difforig, functions_vk.bash,
  htmldump, latin1..utf8, md5, rmwhite, utf8..latin1, utf8..latin1.sed, w3mtext,
  xmutt
- Added: --
- Removed: --
- Fixed spec issues from rpmlint.

* Mon Jun 24 2013 - Volker Kuhlmann
- Package 1.54 available from: http://volker.top.geek.nz/soft/
- Updated: cacheexpire, deljunk, dolog, functions_vk.bash, fxargs, imgsequence,
  listall, md5, Ren, utf8..latin1, writecd
- Added: htmldump (was lynxtext),
  symlinks h2ttext linkstext lynxtext w3mtext to htmldump,
  utf8..latin1.sed, symlinks to utf8..latin1
- Removed: --

* Sun Mar 17 2013 - Volker Kuhlmann
- Package 1.53 available from: http://volker.top.geek.nz/soft/
- Updated: functions_vk.bash, md5, listall
- Added: --
- Removed: --

* Sun Mar 03 2013 - Volker Kuhlmann
- Package 1.52 available from: http://volker.top.geek.nz/soft/
- Updated: Ren, deljunk, functions_vk.bash, latin1..utf8, md5, run, tx,
  sysinfo-collect, sysinfo-collect-quick
- Added: ttyreset
- Removed: --

* Sun Dec 23 2012 - Volker Kuhlmann
- Package 1.51 available from: http://volker.top.geek.nz/soft/
- Updated: Ren, functions_vk.bash, fxargs, listall, movetimestamp, ssh-pubkey,
  tarl
- Added: --
- Removed: gs7 (already with 1.49)

* Tue Apr 17 2012 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: ssh-pubkey
- Removed: ssh-pubkey-upload. Create symlink to ssh-pubkey to get mostly the
  previous behaviour.

* Sun Apr 15 2012 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: cmp-hex
- Updated: Date, create-temp-user, envreload, functions_vk.bash,
  sysinfo-collect-quick, tarl
- Turned on Autoreqprov.

* Sun Oct 23 2011 - Volker Kuhlmann
- Tidied up spec file, for OBS.

* Sat Sep 25 2011 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: text2pdf
- Updated: Date, Ren, create-temp-user, md5, printcups, ps2pdf-print, rpmdump,
  xmutt

* Wed Jun 01 2011 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: sysinfo-collect-quick
- Updated: Ren, functions_vk.bash, movetimestamp, pdfdetails, sysinfo-collect,
  tx, vuescan, writecd, xmutt

* Sun Mar 21 2010 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: create-temp-user, rmwhite, utf8..latin1
- Updated: Col movetimestamp ps2pdf-print tarl tx

* Thu Oct 29 2009 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Updated: Ren functions_vk.bash movetimestamp listall md5 monitor-server
  ps2pdf-print dvips2pdf

* Mon Mar 23 2009 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: 0-to-nl, nl-to-0, pdfdetails
- Updated: Col, iplogfilter, listall, monitor-server

* Sun Jan 04 2009 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: tarl, tarx
- Updated: Lines, Ren, functions_vk.bash, iplogfilter, ps2pdf-print, strreplace

* Tue Apr 29 2008 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: ps2pdf-print
- Updated: Cmp, iplogfilter, Lines, strreplace, writecd

* Sat Feb 02 2008 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Added: monitor-server
- Updated: iplogfilter, poptions, pstops-A4-A5booklet, Ren,
  strreplace, wipeit, writecd

* Mon Feb 12 2007 - Volker Kuhlmann
- Package available from: http://volker.top.geek.nz/soft/
- Updated: Lines, functions_vk.bash, fxargs, iplogfilter, makeimage, strreplace,
  wipeit

* Tue Dec 19 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.38
- Added: diff-dirs-md5, ssh-pubkey-upload
- Updated: Date, functions_vk.bash, fxargs, listall, md5

* Mon Oct 16 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.37
- Added: difforig, movetimestamp
- Updated: DELE, Ren, deltex, dvips2pdf, functions_vk.bash, makeimage,
  time_t2readable, xmutt, iplogfilter

* Thu Jun 22 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.36, created on SUSE 10.1
- Updated: functions_vk.bash, gs7, listall, makeimage, susegrep, vuescan

* Tue May 08 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.35, for SUSE 10.0
- Added: dvips2pdf, pstops-A4-A5booklet
- Updated: Date, Ren, deltex, functions_vk.bash, fxargs, imgsequence, listall,
  printcups, tx, iplogfilter, sysinfo-collect

* Mon Jan 16 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.34, for SUSE 10.0
- Added: wipeit
- Updated: imgsequence

* Wed Jan 04 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.33, for SUSE 10.0
- Updated: Lines, functions_vk.bash, poptions, printcups, run, vuescan, writecd

* Fri Oct 28 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.32, for SUSE 9.2
- Updated: Date, PW, functions_vk.bash, ppp-addxfers, printcups, susegrep, tx,
  vuescan

* Thu Jul 14 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.31, for SUSE 9.2
- Updated: Date, Ren, cp-sort, functions_vk.bash, listall, printcups, susegrep

* Fri May 13 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.30, for SUSE 9.2
- Updated: LC_show, Lines, iplogfilter, makeimage, md5, susegrep
- Added (again?): printcups, ps-to-pcl

* Tue Apr 05 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.29, for SUSE 9.2
- Updated: poptions, Cmp
- Added: sysinfo-collect

* Mon Jan 24 2005 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.28, for SUSE 9.2
- Updated: Cmp Col Date DELE Lines listall md5

* Thu Dec 09 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.27, for SUSE 9.2
- Updated: Xargs functions_vk.bash md5 susegrep

* Thu Nov 25 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.26, for SUSE 9.2
- Added: LC_show
- Updated: vuescan, Col, tx, lynxtext, cp-ext2, writecd

* Fri Aug 27 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scriptutils 1.25, for SUSE 9.1
- Updated: writecd, susegrep

* Fri Aug 20 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.24, for SUSE 9.1
- Updated: Col, iplogfilter, writecd, susegrep
- Added: delctrl

* Thu Aug 05 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scriptutils 1.23, for SUSE 9.1

* Fri Apr 30 2004 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated: poptions, Date, eps2bbox, iplogfilter, mailrc_expand,
  functions_vk.bash, listall, md5

* Wed Jan 07 2004 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added: imgsequence, viewfonts, vuescan
- Substantially updated: md5, writecd
- Updated: Date, Lines, functions_vk.bash, susegrep, xmutt

* Fri Dec 05 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Updated: md5, functions_vk.bash, ls-c
* Thu Nov 20 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Scripts updated: cacheexpire, fxargs, iplogfilter, listall, md5, rpmdump,
	strreplace, writecd, xmutt
- Added: Xargs, viewfonts
* Sun Sep 21 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: listall, functions_vk.bash
- Added: cp-ext2
* Thu Aug 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: writecd, listall, functions_vk.bash
- Added: cp-sort
* Thu Aug 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated: md5, writecd, listall, functions_vk.bash
* Thu Jun 26 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- Some scripts updated
* Tue Jun 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Sun May 11 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- for SuSE 8.2
- Some scripts updated
* Thu Mar 26 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Thu Mar 13 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Sun Feb 09 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated
* Tue Jan 07 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added ldap-search-dump, ldap-add, ldap-delete, ldap-modify, ldap-search
* Fri Jan 03 2003 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Some scripts updated

* Thu Dec 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Scripts updated, and added the for script
* Fri Nov 15 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.1; some scripts updated
* Wed Sep 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Added strreplace, iplogfilter
* Wed Aug 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts, added deltexa etc
* Sun Aug 11 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jul 05 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Updated scripts
* Fri Jun 28 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE 8.0
- Created first version of rpm
